> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.flashid.app/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.flashid.app/_mcp/server.

# List trashed profiles

GET http://127.0.0.1:58931/api/trash

List profiles in the recycle bin.

Response `data`: `{ configs: TrashedProfile[], total }`.

Reference: https://docs.flashid.app/api-reference/trash/list-trashed-profiles

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: collection
  version: 1.0.0
paths:
  /api/trash:
    get:
      operationId: list-trashed-profiles
      summary: List trashed profiles
      description: |-
        List profiles in the recycle bin.

        Response `data`: `{ configs: TrashedProfile[], total }`.
      tags:
        - subpackage_trash
      parameters:
        - name: page
          in: query
          description: '`number` Default `1`.'
          required: false
          schema:
            type: integer
        - name: page_size
          in: query
          description: '`number` Default `20`.'
          required: false
          schema:
            type: integer
        - name: keyword
          in: query
          description: '`string` `Optional` Search keyword.'
          required: false
          schema:
            type: string
        - name: X-API-Key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Trash_List trashed profiles_Response_200'
servers:
  - url: http://127.0.0.1:58931
    description: http://127.0.0.1:58931
components:
  schemas:
    ApiTrashGetResponsesContentApplicationJsonSchemaDataConfigsItemsDeletedBy:
      type: object
      properties:
        email:
          type: string
          format: email
        avatar:
          type: string
        nickname:
          type: string
      required:
        - email
        - avatar
        - nickname
      title: >-
        ApiTrashGetResponsesContentApplicationJsonSchemaDataConfigsItemsDeletedBy
    ApiTrashGetResponsesContentApplicationJsonSchemaDataConfigsItemsBasicConfig:
      type: object
      properties:
        note:
          type: string
        profile_name:
          type: string
      required:
        - note
        - profile_name
      title: >-
        ApiTrashGetResponsesContentApplicationJsonSchemaDataConfigsItemsBasicConfig
    ApiTrashGetResponsesContentApplicationJsonSchemaDataConfigsItemsProxyConfig:
      type: object
      properties:
        proxy_host:
          type: string
        proxy_port:
          type: string
        proxy_type:
          type: string
      required:
        - proxy_host
        - proxy_port
        - proxy_type
      title: >-
        ApiTrashGetResponsesContentApplicationJsonSchemaDataConfigsItemsProxyConfig
    ApiTrashGetResponsesContentApplicationJsonSchemaDataConfigsItemsFolderConfig:
      type: object
      properties:
        uuid:
          type: string
        folder_name:
          type: string
      required:
        - uuid
        - folder_name
      title: >-
        ApiTrashGetResponsesContentApplicationJsonSchemaDataConfigsItemsFolderConfig
    ApiTrashGetResponsesContentApplicationJsonSchemaDataConfigsItemsBrowserConfig:
      type: object
      properties:
        system_os:
          type: string
      required:
        - system_os
      title: >-
        ApiTrashGetResponsesContentApplicationJsonSchemaDataConfigsItemsBrowserConfig
    ApiTrashGetResponsesContentApplicationJsonSchemaDataConfigsItems:
      type: object
      properties:
        deleted_at:
          type: string
          format: date-time
        deleted_by:
          $ref: >-
            #/components/schemas/ApiTrashGetResponsesContentApplicationJsonSchemaDataConfigsItemsDeletedBy
        basic_config:
          $ref: >-
            #/components/schemas/ApiTrashGetResponsesContentApplicationJsonSchemaDataConfigsItemsBasicConfig
        profile_uuid:
          type: string
        proxy_config:
          $ref: >-
            #/components/schemas/ApiTrashGetResponsesContentApplicationJsonSchemaDataConfigsItemsProxyConfig
        folder_config:
          $ref: >-
            #/components/schemas/ApiTrashGetResponsesContentApplicationJsonSchemaDataConfigsItemsFolderConfig
        browser_config:
          $ref: >-
            #/components/schemas/ApiTrashGetResponsesContentApplicationJsonSchemaDataConfigsItemsBrowserConfig
      required:
        - deleted_at
        - deleted_by
        - basic_config
        - profile_uuid
        - proxy_config
        - folder_config
        - browser_config
      title: ApiTrashGetResponsesContentApplicationJsonSchemaDataConfigsItems
    ApiTrashGetResponsesContentApplicationJsonSchemaData:
      type: object
      properties:
        total:
          type: integer
        configs:
          type: array
          items:
            $ref: >-
              #/components/schemas/ApiTrashGetResponsesContentApplicationJsonSchemaDataConfigsItems
      required:
        - total
        - configs
      title: ApiTrashGetResponsesContentApplicationJsonSchemaData
    Trash_List trashed profiles_Response_200:
      type: object
      properties:
        code:
          type: integer
        data:
          $ref: >-
            #/components/schemas/ApiTrashGetResponsesContentApplicationJsonSchemaData
        success:
          type: boolean
      required:
        - code
        - data
        - success
      title: Trash_List trashed profiles_Response_200
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

```

## Examples



**Response**

```json
{
  "code": 0,
  "data": {
    "total": 3,
    "configs": [
      {
        "deleted_at": "2024-01-01T00:00:00.000Z",
        "deleted_by": {
          "email": "alice@example.com",
          "avatar": "",
          "nickname": "alice"
        },
        "basic_config": {
          "note": "",
          "profile_name": "Old Profile"
        },
        "profile_uuid": "{{profileId}}",
        "proxy_config": {
          "proxy_host": "1.2.3.4",
          "proxy_port": "1080",
          "proxy_type": "socks5"
        },
        "folder_config": {
          "uuid": "f-123",
          "folder_name": "Work"
        },
        "browser_config": {
          "system_os": "Windows"
        }
      }
    ]
  },
  "success": true
}
```

**SDK Code**

```python Trash_List trashed profiles_example
import requests

url = "http://127.0.0.1:58931/api/trash"

querystring = {"page":"1","page_size":"20","keyword":""}

headers = {"X-API-Key": "<apiKey>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Trash_List trashed profiles_example
const url = 'http://127.0.0.1:58931/api/trash?page=1&page_size=20&keyword=';
const options = {method: 'GET', headers: {'X-API-Key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Trash_List trashed profiles_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "http://127.0.0.1:58931/api/trash?page=1&page_size=20&keyword="

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-API-Key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Trash_List trashed profiles_example
require 'uri'
require 'net/http'

url = URI("http://127.0.0.1:58931/api/trash?page=1&page_size=20&keyword=")

http = Net::HTTP.new(url.host, url.port)

request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Trash_List trashed profiles_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("http://127.0.0.1:58931/api/trash?page=1&page_size=20&keyword=")
  .header("X-API-Key", "<apiKey>")
  .asString();
```

```php Trash_List trashed profiles_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'http://127.0.0.1:58931/api/trash?page=1&page_size=20&keyword=', [
  'headers' => [
    'X-API-Key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Trash_List trashed profiles_example
using RestSharp;

var client = new RestClient("http://127.0.0.1:58931/api/trash?page=1&page_size=20&keyword=");
var request = new RestRequest(Method.GET);
request.AddHeader("X-API-Key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Trash_List trashed profiles_example
import Foundation

let headers = ["X-API-Key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "http://127.0.0.1:58931/api/trash?page=1&page_size=20&keyword=")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```